Package: org.grails.encoder

## [Java] Interface CodecIdentifier

-     public interface CodecIdentifier

  Information about the codec that identifies it and tells it's aliases.

  Authors:
    Lari Hotari
  Since:
    2.3

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.util.Set<java.lang.String>` | `getCodecAliases()` Gets the aliases for this codec.
    `` | `public java.lang.String` | `getCodecName()` Gets the unique name of the codec.
    `` | `public boolean` | `isEquivalent(CodecIdentifier other)` Checks if this codec is equivalent to some other codec

- - ### Method Detail

    - #### public java.util.Set<java.lang.String> getCodecAliases()

      Gets the aliases for this codec. Aliases are used in registering "encodeAs*" and "decode*" metamethods in org.grails.commons.DefaultGrailsCodecClass

      Returns:
        the codec aliases

    - #### public java.lang.String getCodecName()

      Gets the unique name of the codec.

      Returns:
        the codec name

    - #### public boolean isEquivalent(CodecIdentifier other)

      Checks if this codec is equivalent to some other codec

      Parameters:
        `other` - the CodecIdentifier of the other codec
      Returns:
        true, if is equivalent